Bug 6143 - New feature: capability to limit the RSS results
Summary: New feature: capability to limit the RSS results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 12:27 UTC by Alex Arnaud
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
capability to limit the RSS results (7.91 KB, patch)
2011-04-08 14:43 UTC, Alex Arnaud
Details | Diff | Splinter Review
capability to limit the RSS results (7.61 KB, patch)
2011-04-08 15:24 UTC, Alex Arnaud
Details | Diff | Splinter Review
capability to limit the RSS results (7.21 KB, patch)
2011-04-11 11:58 UTC, Alex Arnaud
Details | Diff | Splinter Review
follow up (1.32 KB, patch)
2011-04-28 16:40 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2011-04-08 12:27:53 UTC
Add new syspref to set a specific limit for the RSS results, and sort them by acqdate_dsc
Comment 1 Alex Arnaud 2011-04-08 14:43:10 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2011-04-08 15:03:19 UTC
Comment on attachment 3841 [details] [review]
capability to limit the RSS results

bad patch
Comment 3 Alex Arnaud 2011-04-08 15:24:11 UTC Comment hidden (obsolete)
Comment 4 Alex Arnaud 2011-04-11 11:58:29 UTC
Created attachment 3863 [details] [review]
capability to limit the RSS results
Comment 5 Chris Cormack 2011-04-26 08:44:59 UTC
Pushed, please test
Comment 6 Chris Cormack 2011-04-26 10:20:08 UTC
This is missing the sysprefs for the other languages, which I have fixed. Please make sure you update all the syspref files, or change the installer to use the en ones.
Comment 7 Nicole C. Engard 2011-04-26 13:27:36 UTC
Follow up patch on the way to fix the wording of the preference to match the style used for other preferences (making it a sentence).
Comment 8 Nicole C. Engard 2011-04-28 16:40:06 UTC
Created attachment 4016 [details] [review]
follow up
Comment 9 Chris Cormack 2011-04-28 21:13:10 UTC
Pushed to master, please test
Comment 10 Jared Camins-Esakov 2012-05-23 12:39:20 UTC
This appears to be working. Closing.